/* main page */

* {
  padding: 0;
  margin: 0;
  font-family: 'Roboto', sans-serif;
}


body {
  background-color: #262626;
  max-height: 100vh;
  max-width: 100vw;
  display: flex;
  overflow-x: hidden;
  overflow-y: scroll;
  color: white;
}



/* Nav bar */

.header-container {
  width: 100vw;
  background-color: white;
  display: flex;
  align-content: center;
}

.menu-list {
  display: flex;
}

.header-logo {
  background-color: white;
  height: 10em;
}

.header-logo img {
  height: 10em;
  margin: auto;
}


.logo {
  padding: auto;
}


.dropdownArrow {
  display: none;
}


.header-element {
  margin: auto 1.5em;
}


.header-element a {
  padding: .5em;
  height: 10vh;
  width: 12vh;
  font-size: 2em;
  text-decoration: none;
  color: black;
}


.header-element a:hover {
  color: white;
  background-color: black;
}

/* Home Page */


.film-freeway-button {
  margin: 3em auto;
  display: flex;
}

.film-freeway-image {
  margin: auto;
}


/* Page sections */

.page-section {
  height: auto;
  min-height: 15em;
  width: 100vw;
  color: white;
  display: flex;
  background-color: #191919;
  align-content: center;
  justify-content: center;
  border-bottom: solid black 1px;
}


.ps-title {
  margin: auto 1em;
  font-size: 2em;
}


.companyBanner {
  font-size: 1.5em;
  justify-content: center;
  text-align: center;
}


.sectionSubBanner {
  background-color: #191910;
}


.ps-body {
  margin: auto;
  font-size: 2em;
}

/* Slideshow */




.slideshow-container {
  height: 30em;
  width: 95vw;
  display: flex;
  margin: 0 auto;
}


.slide-extra {
  display: none;
}


.slide-section {
  min-height: 20em;
}

.slide-wrapper > * {
  overflow: hidden;
}

.slideshow-button {
  width: 5vw;
  border-radius: 15px;
  border-width: 1px;
  color: white;
  border: none;
  background-color: #191919;
  height: 10em;
  margin: auto;
}

.slideshow-button > svg {
  color: white;
}

.slide-cards {
  display: inline-flex;
  width: 100%;
  overflow: hidden;
  justify-content: space-around;
}


.slideshow-card {
  width: 47%;
  display: flex;
  justify-content: center;
}


.project-slideshow {
  margin: 0 5vw;
}


.card-image {
  max-height: 100%;
  max-width: 100%;
}

.card-description {
  margin: 3em auto;
  font-size: 1.3em;
}

/* Events page */

.events-wrapper {
  height: auto;
  background-color: #191919;
  text-align: center;
}


.event-logo-wrapper {
  width: 100vw;
}


.events-logo {
  padding: auto;
}

.upcoming-events {
  margin: 5vh auto
}

.current-event {
  display: flex;
  flex-direction: column;
  margin: auto;
  border: none;
  max-width: 50%;
}

.previous-events {
  height: auto;
  text-align: center;
  margin: 10vh auto;
}

.vertical-card-wrapper {
  margin: 5vh auto;
}

.horizontal-card-wrapper {
  margin-top: 5vh;
}

.event-description {
  text-align: center;
  font-size: 1.5em;
  margin: 2em;
}



/* Services page */

.services-content {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  text-align: center;
  color: #d1d1d1;
  font-size: 1.5em;
}

.service {
  display: flex;
  flex-direction: column;
  flex: 1;
  margin: 1em;
}

.service-pricing {
  margin-top: 1em;
  border: double white 3px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: space-around;
  height: 5em;
  padding: .5em;
}

/* Projects page */



.projects-wrapper {
  height: auto;
  background-color: #191919;
  text-align: center;
}


.project-logo-wrapper {
  width: 100vw;
}


.projects-logo {
  padding: auto;
}

.upcoming-projects {
  margin: 5vh auto;
  
}

.upcoming-projects > h1 {
  text-align: auto;
}

.current-project {
  display: flex;
  flex-direction: column;
  margin: auto;
  border: none;

}

.previous-projects {
  height: auto;
  text-align: center;
  margin: 10vh auto;
}

.vertical-card-wrapper {
  margin: 5vh auto;
}

.horizontal-card-wrapper {
  margin-top: 5vh;
}

.project-description {
  text-align: center;
  font-size: 1.5em;
  margin: 2em;
}



/* Sponsors page */

.sponsor-showcase {
  display: flex;
  justify-content: space-around;
  margin: 5em auto;
}

.sponsor-entry {
  margin: auto;
  max-height: 25em;
  max-width: 25em;
  border: none;
  background-color: #1b1b1b;
}



/* Contact page */

.content-wrapper {
  display: flex;
  flex: 1;

}

.contact-banner {
  font-size: 3em;
  margin-top: 3em;
}

.contact-form { 
  background-image: url(/dist/fc1ae6141ad6319a0319.png);
  background-position: center bottom;
  background-repeat: no-repeat;
  opacity: 1;
  margin: auto;
  display: flex;
  flex-direction: column;
  text-align: center;
  padding-bottom: 3em;
  background-color: #eaeaea;
  color: black;
  
}

.contact-form > * {
  margin: auto;
}

.form-label {
  margin: 1.5em;
}

.name-input-group {
  display: flex;
  justify-content: space-between;
}

.another-name-class {
  display: flex;
  flex-direction: column;
  text-align: start;
  margin: 1em;
}

#message-text {
  margin-bottom: 3em;
}



/* Page footer */

.footer {
  background-color: #adad85;
  height: 55vh;
  width: 100vw;
}


.social-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  float: bottom;
}


.social-wrapper > a {
  margin: 1em 2em;
  color: white;
}

.social-icon > * {
  height: 3em;
}

/* tablet styles */

@media screen and ( min-device-width: 850px){
  .header-element  a {
    font-size: 1.2em;
  }
}


/* cell phone styles */

@media only screen and ( max-device-width: 850px) {

  /* Mobile Header */

  .header-container {
    flex-direction: column;
    height: auto;
  }

  
  .header-banner {
    justify-content: center;
    display: flex;
    margin: auto;
  }

  
  .dropdownArrow {
    display: flex;
    color: black;
    justify-content: center;
    height: 3em;
  }

  
  .dropdownArrow > * {
    margin: auto;
  }

  
  .header-element {
    border-top: solid black .5px;
    justify-content: center;
    align-content: center;
    display: flex;
  }

  .menu-list {
    display: none;
    flex-direction: column;
    margin: auto;
  }


  .header-element a {
    justify-content: center;
    display: flex;
    margin: auto;
    font-size: 1em;
    font-weight: bold;
    height: 1.5em;
    width: auto;
  }


  .page-section {
    min-height: 44vh;
  }

  .page-banner {
    border: none;
  }

  
  .ps-body {
    font-size: 1.5em;
  }

  .current-event {
    max-width: 100%;
  }

  /* Mobile services */

  .services-content {
    flex-direction: column;
  }

  .service-pricing {
    height: auto;
  }

  .services-content {
    font-size: 1em;
  }

  /* Mobile Slideshow */

  .slideshow-container {
    min-height: 44vh;
    overflow: hidden;
  }

  
  .slideshow-card {
    width: 100%;
    min-height: 44vh;
    overflow: hidden;
  }

  
  .card-image {
    min-height: 44vh;
    max-height: 100vh;
    max-width: 100vw;
  }

  /* Contact Form */

  .contact-form {
    max-width: 100vw;
  }

  .another-name-class {
    margin: 1em;
  }

}

/* desktop only */

@media only screen and ( min-device-width: 800px) {

  .menu-list {
    display: flex;
    margin-left: auto;
  };

  .header-banner {
    margin-right: auto;
  }
  
}
